Skip to main content
POST
/
x
/
installations
Create X installation
curl --request POST \
  --url https://apigcp.trynia.ai/v2/x/installations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "username": "<string>",
  "bearer_token": "<string>",
  "display_name": "<string>",
  "max_results": 100,
  "include_replies": false,
  "include_retweets": false
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Body

application/json
username
string
required

X username to index (with or without @)

bearer_token
string
required

X API bearer token

Minimum string length: 10
display_name
string | null

Optional custom display name for this source

Maximum string length: 120
max_results
integer
default:100

Maximum number of recent posts to index

Required range: 1 <= x <= 500
include_replies
boolean
default:false

Whether replies should be indexed

include_retweets
boolean
default:false

Whether reposts/retweets should be indexed

Response

Successful Response